{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}

{% block barra_horizontal %}
    <h3 class="text-light">Disciplina {{ disciplina.sigla }} ({{ disciplina.turma }})</h3>
{% endblock %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/educacao.css' %}">
{% endblock %}


{% block corpo_pagina %}
    <div class="container-fluid bg-light rounded-top">

    <p style="margin-top: 10px"></p>

    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" data-toggle="tab" href="#descricao" role="tab">
                Descrição
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#aulas" role="tab">
                Aulas
            </a>
        </li>
        {% if disciplina.numero_listas > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#listas-exercicios" role="tab">
                Séries de exercícios
            </a>
        </li>
        {% endif %}
        {% if disciplina.numero_trabalhos > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#trabalhos" role="tab">
                Trabalhos
            </a>
        </li>
        {% endif %}
        {% if disciplina.numero_relatorios > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#relatorios" role="tab">
                Relatórios
            </a>
        </li>
        {% endif %}
        {% if disciplina.numero_provas > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#provas" role="tab">
                Provas
            </a>
        </li>
        {% endif %}
        {% if disciplina.numero_seminarios > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#seminarios" role="tab">
                Seminários
            </a>
        </li>
        {% endif %}
    </ul>
    <div class="tab-content" id="myTabContent" style="margin-top: 10px">
        <div class="tab-pane fade show active" id="descricao" role="tabpanel">
            <div class="card cartao">
                <h5 class="card-header cartao-titulo">
                    Objetivos
                </h5>
                <div class="card-body">
                    {{ disciplina.objetivo|safe }}
                </div>
            </div>

            <div class="card cartao">
                <h5 class="card-header cartao-titulo">
                    Critérios de avaliação
                </h5>
                <div class="card-body">
                    {{ disciplina.criterios_avaliacao|safe }}
                </div>
            </div>

            <div class="card cartao">
                <h5 class="card-header cartao-titulo">
                    Bibliografia
                </h5>
                <div class="card-body">
                    {{ disciplina.bibliografia|safe }}
                </div>
            </div>
        </div>

        {#########}
        {# Aulas #}
        {#########}
        <div class="tab-pane fade" id="aulas" role="tabpanel">
            <table class="tabela-lista" id="tabela-aulas">
                <thead>
                    <tr>
                        <th>Ações</th>
                        <th>Número</th>
                        <th>Descrição</th>
                        <th>Data prevista</th>
                    </tr>
                </thead>
                <tbody>
                {% for aula in aulas %}
                    {% if aula.visivel or usuario in disciplina.professores.all %}
                        <tr>
                            <td>
                                <a href="{% url 'educacao:ver_aula' aula.id %}">
                                    <img src="{% static 'icones/ver.svg' %}" alt="Editar">
                                </a>
                                {% if usuario.tipo == usuario.TIPO_DOCENTE %}
                                <a href="{% url 'educacao:editar_aula' aula.id %}">
                                    <img src="{% static 'icones/editar.svg' %}" alt="Editar">
                                </a>
                                <a href="#">
                                    <img src="{% static 'icones/apagar.svg' %}" alt="Remover">
                                </a>
                                {% endif %}
                            </td>
                            <td>{{ aula.numero }}</td>
                            <td>{{ aula.descricao|safe }}</td>
                            <td>{{ aula.data_da_aula|date:"d/m/Y" }}</td>
                        </tr>
                    {% endif %}
                {% endfor %}
                </tbody>
            </table>
        </div>

        {% if usuario.tipo == usuario.TIPO_DOCENTE or disciplina.numero_listas > 0 %}
        <div class="tab-pane fade  tabela_maior" id="listas-exercicios" role="tabpanel">

            {% if usuario.tipo == usuario.TIPO_DOCENTE %}
                <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'educacao:criar_lista_exercicios' disciplina.id %}">
                    <img src="{% static 'icones/novo.svg'%}" width="20px">
                    Adicionar nova lista de exercícios
                </a>
                <p></p>
            {% endif %}

            {% if disciplina.numero_listas > 0 %}
                <table class="tabela-lista" id="tabela-listas">
                    <thead>
                        <tr>
                            <th>Ações</th>
                            <th>Série de exercícios</th>
                            <th>Data limite para entrega</th>
                            <th>Corrigida?</th>
                            <th>Nota</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for lista in listas %}
                    {% if usuario.tipo == usuario.TIPO_DOCENTE or lista.visibilidade == lista.VISIBILIDADE_VISIVEL  %}
                    <tr>
                        <td>
                            <a href="{% url 'educacao:responder_questao_da_avaliacao' lista.id %}" data-toggle="tooltip" data-placement="bottom" title="Responder as questões">
                                <img src="{% static 'icones/ver.svg' %}" alt="Resolver">
                            </a>

                            {% if usuario.tipo == usuario.TIPO_DOCENTE %}
                                <a href="{% url 'educacao:ver_entregas_avaliacao' lista.id %}" data-toggle="tooltip" data-placement="bottom" title="Ver entregas">
                                    <img src="{% static 'icones/preview.svg' %}" alt="Ver entregas">
                                </a>
                                <a href="{% url 'educacao:editar_questao_avaliacao' lista.id %}"data-toggle="tooltip" data-placement="bottom" title="Editar questões">
                                    <img src="{% static 'icones/editar.svg' %}" alt="Editar questões">
                                </a>
                                <a href="{% url 'educacao:editar_configuracoes_avaliacao' lista.id %}"data-toggle="tooltip" data-placement="bottom" title="Configurar a lista de exercícios">
                                    <img src="{% static 'icones/engrenagens.svg' %}" alt="Editar configurações">
                                </a>
                            {% endif %}
                        </td>
                        <td>{{ lista.titulo }}</td>
                        <td>{{ lista.data_limite_entrega|date:"d/m/Y" }}</td>
                        <td>
                            {% if lista.corrigido %}
                                {% if lista.corrigido == True %}
                                <a href="{% url 'educacao:ver_correcao_lista_exercicios' lista.id %}">Ver correção</a>
                                {% else %}
                                    Não
                                {% endif %}
                            {% endif %}
                        </td>
                        <td>
                            {% if lista.mostrar_nota_apos_submissao %}
                                {{ lista.nota|floatformat:1 }}
                            {% else %}
                                {{ lista.nota|floatformat:1 }}
                            {% endif %}
                        </td>
                    </tr>
                    {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            {% else %}
                {# Não há nenhuma lista de exercícios cadastrada ainda! #}
            {% endif %}
        </div>
        {% endif %}

        {% if disciplina.numero_trabalhos > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <div class="tab-pane fade tabela_maior" id="trabalhos" role="tabpanel">
        </div>
        {% endif %}

        {################}
        {#  RELATORIOS  #}
        {################}

        {% if disciplina.numero_relatorios > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <div class="tab-pane fade tabela_maior" id="relatorios" role="tabpanel">
            {% if usuario.tipo == usuario.TIPO_DOCENTE %}
                <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'educacao:criar_relatorio' disciplina.id %}">
                    <img src="{% static 'icones/novo.svg'%}" width="20px">
                    Adicionar novo relatório
                </a>
                <p></p>
            {% endif %}

            {% if disciplina.numero_relatorios > 0 %}
                <table class="tabela-lista" id="tabela-relatorios">
                    <thead>
                        <tr>
                            <th>Ações</th>
                            <th>Relatórios</th>

                            {% if usuario.tipo == usuario.TIPO_DOCENTE %} <th>Status</th> {% endif %}
                        </tr>
                    </thead>
                    <tbody>
                    {% for relatorio in relatorios %}
                    {% if usuario.tipo == usuario.TIPO_DOCENTE or relatorio.visibilidade == relatorio.VISIBILIDADE_VISIVEL  %}
                    <tr>
                        <td>
                            <a href="{% url 'educacao:responder_relatorio' relatorio.id %}" data-toggle="tooltip" data-placement="bottom" title="Responder o relatório">
                                <img src="{% static 'icones/ver.svg' %}" alt="Responder o relatório">
                            </a>

                            {% if usuario.tipo == usuario.TIPO_DOCENTE %}
{#                                <a href="{% url 'educacao:ver_entregas_avaliacao' lista.id %}" data-toggle="tooltip" data-placement="bottom" title="Ver entregas">#}
{#                                    <img src="{% static 'icones/preview.svg' %}" alt="Ver entregas">#}
{#                                </a>#}
                                <a href="{% url 'educacao:editar_relatorio' relatorio.id %}"data-toggle="tooltip" data-placement="bottom" title="Editar relatório">
                                    <img src="{% static 'icones/editar.svg' %}" alt="Editar relatório">
                                </a>
{#                                <a href="{% url 'educacao:editar_configuracoes_avaliacao' lista.id %}"data-toggle="tooltip" data-placement="bottom" title="Configurar a lista de exercícios">#}
{#                                    <img src="{% static 'icones/engrenagens.svg' %}" alt="Editar configurações">#}
{#                                </a>#}
                            {% endif %}
                        </td>
                        <td>{{ relatorio.titulo }}</td>
                        {% if usuario.tipo == usuario.TIPO_DOCENTE %}
                            <td>
                                {% if relatorio.visibilidade == relatorio.VISIBILIDADE_OCULTO %}
                                    Oculto
                                {% elif relatorio.visibilidade == relatorio.VISIBILIDADE_VISIVEL_APOS_A_DATA %}
                                    Visível após a data {{ relatorio.data_para_ficar_visivel|date:"d/m/Y" }}
                                {% else %}
                                    Visível
                                {% endif %}
                            </td>
                        {% endif %}
                    </tr>
                    {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            {% else %}
                {# Não há nenhuma lista de exercícios cadastrada ainda! #}
            {% endif %}
        </div>
        {% endif %}


        {% if disciplina.numero_provas > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <div class="tab-pane fade tabela_maior" id="provas" role="tabpanel">
        </div>
        {% endif %}

        {% if disciplina.numero_seminarios > 0 or usuario.tipo == usuario.TIPO_DOCENTE %}
        <div class="tab-pane fade tabela_maior" id="seminarios" role="tabpanel">
        </div>
        {% endif %}
    </div>

    </div>


{% endblock %}




{% block javascript %}
{% endblock %}

